0
0 Items$0.00

270µH Radial Leaded Power Inductors :

11 Products Found
Find a huge range of 270µH Radial Leaded Power Inductors at Newark Electronics Mexico. We stock a wide range of Radial Leaded Power Inductors, such as 1mH, 100µH, 470µH & 22µH Radial Leaded Power Inductors from the worlds top manufacturers including: Coilcraft, Bourns & Kemet

All Filters

(1 Applied)

Expand Filters
Compare
Manufacturer Part No
Order Code
Manufacturer / Description
Availability
Price for
Price
Quantity
Product Range
Inductance
Inductor Construction
RMS Current (Irms)
Saturation Current (Isat)
DC Resistance Max
Inductance Tolerance
01AH7883

RoHS

Each
10+$1.400
20+$1.350
30+$1.310
50+$1.300
100+$1.280
More Pricing...
SBCP Series
270µH
Unshielded
300mA
300mA
1.3ohm
± 10%
31Y3839

RoHS

Date/Lot Code

Each
1+$1.950
25+$1.550
100+$1.240
250+$1.220
500+$1.190
More Pricing...
RFB0810 Series
270µH
Unshielded
1.3A
840mA
0.55ohm
± 10%
62X5257

RoHS

Date/Lot Code

Each
1+$0.441
10+$0.373
25+$0.331
50+$0.310
100+$0.288
More Pricing...
RLB Series
270µH
Unshielded
770mA
1.4A
0.68ohm
± 10%
31Y3952

RoHS

Date/Lot Code

Each
1+$1.750
10+$1.510
25+$1.390
50+$1.250
100+$1.110
More Pricing...
RFC0810 Series
270µH
Unshielded
1.05A
1.2A
0.53ohm
± 10%
31Y3793

RoHS

Date/Lot Code

Each
1+$1.520
10+$1.310
25+$1.210
50+$1.090
100+$0.974
More Pricing...
RFB0807 Series
270µH
Unshielded
780mA
600mA
0.9ohm
± 10%
31Y3986

RoHS

Date/Lot Code

Each
1+$1.740
10+$1.500
25+$1.400
50+$1.260
100+$1.110
More Pricing...
RFC1010 Series
270µH
Unshielded
1.27A
1.65A
0.44ohm
± 10%
31Y3918

RoHS

Date/Lot Code

Each
1+$1.180
10+$1.000
25+$0.923
50+$0.834
100+$0.743
More Pricing...
RFC0807 Series
270µH
Unshielded
800mA
1.2A
0.805ohm
± 10%
31Y1218

RoHS

Date/Lot Code

Each
1+$1.120
10+$0.969
25+$0.889
50+$0.802
100+$0.715
More Pricing...
DR0608 Series
270µH
Unshielded
930mA
690mA
0.96ohm
± 10%
31Y1248

RoHS

Date/Lot Code

Each
1+$1.240
10+$1.060
25+$0.974
50+$0.879
100+$0.783
More Pricing...
DR0810 Series
270µH
Unshielded
1.28A
900mA
0.62ohm
± 10%
81Y7182

RoHS

Date/Lot Code

Each
1+$2.500
25+$2.010
100+$1.550
250+$1.530
500+$1.510
More Pricing...
RFS1317 Series
270µH
Shielded
2.05A
1.7A
0.263ohm
± 10%
31Y3379

RoHS

Date/Lot Code

Each
1+$15.610
5+$14.400
10+$13.180
25+$12.380
100+$11.530
More Pricing...
PCV-2 Series
270µH
Unshielded
7.2A
-
0.06ohm
± 10%
1-11 of 11 items
of 1 page(s)

Popular Suppliers

MURATA
PANASONIC
VISHAY
MULTICOMP PRO
KEMET
BOURNS
OHMITE
TE CONNECTIVITY
TDK